function [nb_total_T, nb_T_par_ligne, nb_mot_deb_T, nb_mot_fin_T] = voilalest_Dut

% Lecture du fichier en mode binaire
fid = fopen('mylittlegirl.txt','r');
X = fread(fid,[1,inf]);
fclose(fid);

% Transformation des lettres majuscules en minuscules
idx = X<97 & X>64;
X(idx) = X(idx)+32;

% Suppression des caractres de retour  la ligne \r et/ou \n
idx = X==10 | X==13;
X(idx) = 32;

% Nombre de lettres t au total
nb_total_T = sum(X=='t');

% Nombre de mots commenant par la lettre t
nb_mot_deb_T = numel(strfind(X,' t'));

% Nombre de mots finissant par la lettre t
nb_mot_fin_T = numel(strfind(X,'t '));

% Lecture du fichier ligne par ligne
X = textread('mylittlegirl.txt','%s','delimiter','\n');

% Nombre de lettres t ligne par ligne
nb_T_par_ligne = cellfun(@(x) sum(lower(x)=='t'),X, 'uniformoutput', true);